Bug 448151 - Throttling seems weird, doesn't appear to enter C-states, runs hot
Throttling seems weird, doesn't appear to enter C-states, runs hot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 15:30 EDT by James
Modified: 2008-11-12 03:56 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.27.5-32.fc9.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-12 03:56:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2008-05-23 15:30:15 EDT
Description of problem:
The information under /proc/acpi/processor/CPU?/throttling seems odd. First, the
CPU never seemed to enter even C1. [Normally, I'd expect to see it in C1 some of
the time, I have to boot nohz=off because of another bug: see Bug 443155] This
is probably why the system is idling a good few degrees higher under this kernel. 

Throttling seems different as well. Under kernel-2.6.24.7-92.fc8,
CPU0/throttling would be:

Could not determine current throttling state.

but CPU1/throttling had:

state count:             8
active state:            T0
state available: T0 to T7
states:
   *T0:                  100%
    T1:                  88%
    T2:                  75%
    T3:                  63%
    T4:                  50%
    T5:                  38%
    T6:                  25%
    T7:                  13%

Under 2.6.25.4-10.fc8, CPU0/throttling is now like CPU1 EXCEPT the asterisk is
stuck on the T3 state.

Version-Release number of selected component (if applicable):
kernel-2.6.25.4-10.fc8

How reproducible:
Always.

Steps to Reproduce:
1. Boot.
  
Additional info:
For acpidump, see bug 448150.
Comment 1 James 2008-05-30 20:04:41 EDT
Same with kernel-2.6.25.4-14.fc8, eats battery.
Comment 2 James 2008-06-13 05:39:27 EDT
Enters C-states when I remove "nohz=off" with kernel-2.6.25.6-24.fc8, but
throttling oddness remains and still seems to run hotter than
kernel-2.6.24.7-92.fc8.
Comment 3 James 2008-06-17 05:43:05 EDT
Things still seem odd with kernel-2.6.25.6-27.fc8. powertop reports a few
hundred wakeups per second here and the processor spending a good amount of time
in C3 (but perhaps this is not what the hardware is *actually* doing), so
nothing unusual there... but sometimes powertop reports garbage (e.g., tens of
thousands --- or even a negative number --- of wups) and the sysfs counts for
C-state usage seem to reset every so often.
Comment 4 James 2008-06-25 14:16:43 EDT
Even odder in kernel-2.6.25.9-37.fc8, throttling for both cores seems suck in T8.
Comment 5 James 2008-07-27 07:42:14 EDT
Back to same throttling strangeness as 2.6.25.4-10.fc8 with
kernel-2.6.25.12-62.fc8 (see opening comment). kernel-2.6.24.7-92.fc8 runs
cooler on this machine with "nohz=off" than 2.6.25.4-10.fc8 in tickless mode.
Comment 6 James 2008-09-09 03:53:32 EDT
Still present in kernel-2.6.26.3-14.fc8.
Comment 7 James 2008-11-12 03:56:52 EST
Appears to be fixed in kernel-2.6.27.5-32.fc9.x86_64, until a suspend/resume cycle. Will report a new bug.

Note You need to log in before you can comment on or make changes to this bug.